Bug 1572844 - [abrt] dc_validate_global_state: general protection fault in dc_validate_global_state [amdgpu] [NEEDINFO]
Summary: [abrt] dc_validate_global_state: general protection fault in dc_validate_glob...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:72ec5a09e17ec2ef8cfe634c3e2...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-28 04:17 UTC by shirokuro005
Modified: 2018-08-29 15:17 UTC (History)
16 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:17:58 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (80.84 KB, text/plain)
2018-04-28 04:18 UTC, shirokuro005
no flags Details

Description shirokuro005 2018-04-28 04:17:52 UTC
Additional info:
reporter:       libreport-2.9.4
general protection fault: 0000 [#1] SMP NOPTI
Modules linked in: fuse xt_CHECKSUM tun devlink arc4 md4 nls_utf8 cifs ccm dns_resolver fscache nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 xt_conntrack ip_set nfnetlink ebtable_nat ebtable_broute bridge stp llc ip6table_nat nf_conntrack_ipv6 nf_defrag_ipv6 nf_nat_ipv6 ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_conntrack_ipv4 nf_defrag_ipv4 nf_nat_ipv4 nf_nat nf_conntrack libcrc32c iptable_mangle iptable_raw iptable_security ebtable_filter ebtables ip6table_filter ip6_tables sunrpc vfat fat edac_mce_amd kvm_amd ccp kvm wmi_bmof snd_hda_codec_realtek irqbypass snd_hda_codec_generic crct10dif_pclmul crc32_pclmul snd_hda_codec_hdmi ghash_clmulni_intel snd_hda_intel snd_hda_codec snd_hda_core snd_hwdep snd_seq snd_seq_device
 sp5100_tco snd_pcm i2c_piix4 joydev snd_timer snd soundcore video shpchp wmi acpi_cpufreq amdkfd amd_iommu_v2 amdgpu chash i2c_algo_bit gpu_sched drm_kms_helper ttm drm r8169 uas usb_storage mii crc32c_intel
CPU: 3 PID: 2003 Comm: gnome-shell Not tainted 4.16.4-300.fc28.x86_64 #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./X370 Pro4, BIOS P4.50 01/24/2018
RIP: 0010:dcn_validate_bandwidth+0xcaa/0x1ba0 [amdgpu]
RSP: 0018:ffffafe988317aa8 EFLAGS: 00010293
RAX: ffff9aa8d1dc4004 RBX: ffff9aa8d1dc4000 RCX: ffff9aa9ca9df400
RDX: ffff9aa8d1dc45a0 RSI: 68fba5918ff18ed7 RDI: 0000000000000001
RBP: 0000000000000780 R08: 0000000000000001 R09: 0000000000000001
R10: 000000000000000b R11: 0000000000000004 R12: 0000000100000000
R13: ffff9aa9c61d2c00 R14: 0000000000000000 R15: ffff9aa9c47d8000
FS:  00007f6836f65280(0000) GS:ffff9aa9decc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f67bb5a4000 CR3: 00000003dcee6000 CR4: 00000000003406e0
Call Trace:
 dc_validate_global_state+0x24d/0x2a0 [amdgpu]
 amdgpu_dm_atomic_check+0x184/0x3c0 [amdgpu]
 drm_atomic_check_only+0x3b5/0x550 [drm]
 ? drm_property_blob_get+0xe/0x20 [drm]
 drm_atomic_commit+0x13/0x50 [drm]
 drm_atomic_helper_legacy_gamma_set+0x136/0x160 [drm_kms_helper]
 drm_mode_gamma_set_ioctl+0x184/0x1e0 [drm]
 ? drm_mode_crtc_set_gamma_size+0xa0/0xa0 [drm]
 drm_ioctl_kernel+0x5b/0xb0 [drm]
 drm_ioctl+0x1c0/0x380 [drm]
 ? drm_mode_crtc_set_gamma_size+0xa0/0xa0 [drm]
 ? eventfd_read+0xe6/0x290
 amdgpu_drm_ioctl+0x49/0x80 [amdgpu]
 do_vfs_ioctl+0xa4/0x610
 SyS_ioctl+0x74/0x80
 do_syscall_64+0x74/0x180
 ? entry_SYSCALL_64_after_hwframe+0x3d/0xa2
Code: b0 1d 00 00 f3 0f 11 80 08 1f 00 00 f3 0f 11 b8 d8 1e 00 00 31 f6 83 79 4c 04 40 0f 94 c6 8d 74 36 1d 89 b0 50 1f 00 00 48 8b 31 <83> 3e 04 0f 84 11 07 00 00 c7 80 80 1f 00 00 1e 00 00 00 c7 80 
RIP: dcn_validate_bandwidth+0xcaa/0x1ba0 [amdgpu] RSP: ffffafe988317aa8

Comment 1 shirokuro005 2018-04-28 04:18:09 UTC
Created attachment 1427932 [details]
File: dmesg

Comment 2 Justin M. Forbes 2018-07-23 15:13:36 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 3 Justin M. Forbes 2018-08-29 15:17:58 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.


Note You need to log in before you can comment on or make changes to this bug.